
%global srcname messaging

Name:		python-messaging
Version:	1.2
Release:    1%{?dist}
Summary:	Python abstraction of a "message"
License:	ASL 2.0
URL:		https://github.com/cern-mig/%{name}
Source0:	http://pypi.python.org/packages/source/m/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel, python3-setuptools

%global _description\
This module provides an abstraction of a "message", as used in Enterprise\
Messaging Systems.\
\
The modules include a transport independent message abstraction, a\
versatile message generator and several message queues/spools to\
locally store messages.\
\
The python module messaging is compatible with the Perl\
module Messaging::Message.

%description %_description

%package -n python3-messaging
Summary:	Python abstraction of a "message"

%description -n python3-messaging
This module provides an abstraction of a "message", as used in Enterprise
Messaging Systems.

The modules include a transport independent message abstraction, a
versatile message generator and several message queues/spools to
locally store messages.

The python module messaging is compatible with the Perl
module Messaging::Message.

%prep
%setup -q -n %{srcname}-%{version}
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%{__python3} setup.py build

%install
rm -fr %{buildroot}
%{__python3} setup.py install --skip-build --root %{buildroot}

%check
rm -f test/*.pyc
%{__python3} setup.py test
rm -f test/*.pyc

%files -n python3-messaging
%doc LICENSE README.rst CHANGES example test
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-1
- initial build
